<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('account_contacts', function (Blueprint $table) {
            $table->bigInteger('house_group_id')->after('blood_group_id')->nullable();
            $table->bigInteger('language_id')->after('blood_group_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('account_contacts', function (Blueprint $table) {
            $table->dropColumn('house_group_id');
            $table->dropColumn('language_id');
        });
    }
};
